//#include <stdio.h>

#include "DataArea.h"

using namespace std;

DataArea::DataArea( void )
{
    numero 	= "";
    nome 	= "";
    salario = 0;
}

DataArea::DataArea( string numero, string nome, double salario )
{
    if ( numero.size() < _TAMANHO_INT )
    {	numero = "0"+numero;
    }
    
    if ( nome.size() > _TAMANHO_NOME )
    {	nome = nome.substr( 0, _TAMANHO_NOME );
    }
    
    while ( nome.size() < _TAMANHO_NOME )
    {	
    	nome += "_";
    }
    
    this->numero 	= numero;
    this->nome 		= nome;
    this->salario 	= salario;
}

DataArea::DataArea( string linha )
{
    int 	i = 2;
    string 	s;
 	
 	numero 	= "";
    nome 	= "";
    salario = 0;
    
 	if ( linha.size() < _TAMANHO_LINHA )
 		return;
 		
    numero = linha.substr(i,_TAMANHO_INT);
	i += _TAMANHO_INT+1;
	    	    	
    nome = linha.substr(i,_TAMANHO_NOME);
	i += _TAMANHO_NOME+2;

    s = linha.substr(i,linha.size());   	        
    salario = atof( s.c_str() );
}

void DataArea::imprime()
{
    printf( "Numero = %s   Nome = %s   Salario = %.2lf\n", numero.c_str(), nome.c_str(), salario );
}

void DataArea::gravaArquivo( FILE * pFile )
{
    fprintf( pFile, "i %d  %s  %.2lf\n", numero.c_str(), nome.c_str(), salario );
}

int DataArea::CompareTo (const Object & object) const
{
	DataArea * arg = (DataArea*) &object;
	return this->numero == arg->numero;
}

HashValue DataArea::Hash () const
{
	HashValue hash = 0;
	return hash;
}

void DataArea::Put (std::ostream&) const
{
}
