
#ifndef __DATAAREA_H_
#define __DATAAREA_H_

#define _TAMANHO_INT	2
#define _TAMANHO_NOME	10
#define _TAMANHO_LINHA	20

//#include <afx.h>

#include "Object.h"

using namespace std;

class DataArea : public Object
{
public:
	DataArea();
	DataArea( string numero, string nome, double salario );
    DataArea( string linha );
        
    string getNumero()
    {
    	return numero;
    }
    
    string getNome()
    {
    	return nome;
    }
    
    double getSalario()
    {
    	return salario;
    }
    
	void setNumero( string numero )
    {
    	this->numero = numero;
    }
    
    void setNome( string nome )
    {
    	this->nome = nome;
    }
    
    void setSalario( double salario )
    {
    	this->salario = salario;
    }
    
    void imprime();

    void gravaArquivo( FILE * );
   
	HashValue Hash () const;
    void Put (std::ostream&) const;

protected:

	int CompareTo (const Object & object) const;

private:
	
	string numero;
    string nome;
    double salario;
};

#endif  
