#ifndef __HASH_H_
#define __HASH_H_

#include <string>

typedef unsigned int HashValue;

unsigned int const shift = 6;
// HashValue const mask = ~0U << (bitsizeof (HashValue) - shift); /* bitsizeof no existe em C++*/
HashValue const mask = ~0U << (sizeof (HashValue) - shift);

HashValue Hash (char c);
HashValue Hash (int i);
HashValue Hash (double d);
HashValue Hash (std::string const& s);

#endif
